/**
 * Variables
 */
var config = {
	//Email
	"Endpoints.GMAIL": "https://beta-service.hubx.io/GMAIL/{appId}",
	"Endpoints.OUTLOOK": "https://beta-service.hubx.io/OUTLOOK/{appId}",
	"Endpoints.EXCHANGE": "https://beta-service.hubx.io/EXCHANGE/{appId}",

	//Storage
	"Endpoints.DRIVE": "https://beta-service.hubx.io/DRIVE/{appId}",
	"Endpoints.ONEDRIVE": "https://beta-service.hubx.io/ONEDRIVE/{appId}",
	"Endpoints.DROPBOX": "https://beta-service.hubx.io/DROPBOX/{appId}"
};

/**
 * Set Configuration
 * @param		{String}		param
 * @param		{any}				value
 */
function set(param, value) {
	config[param] = value;

	if (param == "production" && value === true) {
		var i;
		for (i in config) {
			if (i.indexOf("Endpoints.") > -1) {
				config[i] = config[i].replace("beta-", "")
			}
		}
	}

	else if (param == 'appId') {
		var i;
		for (i in config) {
			if (i.indexOf("Endpoints.") > -1) {
				config[i] = config[i].replace("{appId}", value)
			}
		}
	}
}

/**
 * Get Configuration
 * @param		{String}		param
 * @return	{any}
 */
function get(param) {
	return param ? config[param] : config;
}

module.exports = {
	set: set,
	get: get,
}
