var Email = require("../../types/email");
var should = require("should");

describe("test general functions on each driver type", function() {

	before(function(done) {

		this.email = new Email();
		done();

	})

	describe("Email drivers", function() {

		it("should have the privateKey property", function(done) {
			this.email.should.have.property("privateKey");
			this.email.privateKey.should.be.a.String()
			done()
		})

		it("should have the appId property", function(done) {
			this.email.should.have.property("appId");
			this.email.appId.should.be.a.String()
			done()
		})

		it("should have the Authorization property", function(done) {
			this.email.should.have.property("Authorization");
			this.email.Authorization.should.be.a.String()
			done()
		})

		it("should have the ContentType property", function(done) {
			this.email.should.have.property("ContentType");
			this.email.ContentType.should.be.a.String()
			done()
		})

		it("should have the getUrl function", function(done) {
			this.email.should.have.property("getUrl");
			this.email.getUrl.should.be.a.Function()
			done()
		})

		it("should have the createAccount function", function(done) {
			this.email.should.have.property("createAccount");
			this.email.createAccount.should.be.a.Function()
			done()
		})

		it("should have the deleteAccount function", function(done) {
			this.email.should.have.property("deleteAccount");
			this.email.deleteAccount.should.be.a.Function()
			done()
		})

		it("should have the getChangeByToken function", function(done) {
			this.email.should.have.property("getChangeByToken");
			this.email.getChangeByToken.should.be.a.Function()
			done()
		})

		it("should have the getAuthorization function", function(done) {
			this.email.should.have.property("getAuthorization");
			this.email.getAuthorization.should.be.a.Function()
			this.email.getAuthorization("team@hubx.io").should.be.a.String()
			done()
		})

	})

})
